<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Border Router</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/da2/group__config-br.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Border Router<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d1/d44/group__config.html">Configuration</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes functions that manage configuration parameters that apply to the Thread Border Router role.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Border Router:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../db/da2/group__config-br.png" border="0" alt="" usemap="#db_2da2_2group____config-br"/>
<map name="db_2da2_2group____config-br" id="db_2da2_2group____config-br">
<area shape="rect" id="node2" href="../../d1/d44/group__config.html" title="This module includes functions for configuration. " alt="" coords="5,5,106,31"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ddd/structotIp6Prefix.html">otIp6Prefix</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IPv6 prefix.  <a href="../../d2/ddd/structotIp6Prefix.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents a Border Router configuration.  <a href="../../dd/dd0/structotBorderRouterConfig.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5d/structotExternalRouteConfig.html">otExternalRouteConfig</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an External Route configuration.  <a href="../../d4/d5d/structotExternalRouteConfig.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga50b70c8de241d3444d91337ed7e0bac5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga50b70c8de241d3444d91337ed7e0bac5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#ga50b70c8de241d3444d91337ed7e0bac5">OT_NETWORK_DATA_ITERATOR_INIT</a>&#160;&#160;&#160;0</td></tr>
<tr class="memdesc:ga50b70c8de241d3444d91337ed7e0bac5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializer for otNetworkDataIterator. <br /></td></tr>
<tr class="separator:ga50b70c8de241d3444d91337ed7e0bac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga7b2d93f4f2bc00e6086da230fcbbc44a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7b2d93f4f2bc00e6086da230fcbbc44a"></a>
typedef struct <a class="el" href="../../d2/ddd/structotIp6Prefix.html">otIp6Prefix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#ga7b2d93f4f2bc00e6086da230fcbbc44a">otIp6Prefix</a></td></tr>
<tr class="memdesc:ga7b2d93f4f2bc00e6086da230fcbbc44a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IPv6 prefix. <br /></td></tr>
<tr class="separator:ga7b2d93f4f2bc00e6086da230fcbbc44a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga741352633dff1a7aded3a8a2e9a25011"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga741352633dff1a7aded3a8a2e9a25011"></a>
typedef uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#ga741352633dff1a7aded3a8a2e9a25011">otNetworkDataIterator</a></td></tr>
<tr class="memdesc:ga741352633dff1a7aded3a8a2e9a25011"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to iterate through Network Data information. <br /></td></tr>
<tr class="separator:ga741352633dff1a7aded3a8a2e9a25011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga021164642188962b5372ef7e49940581"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga021164642188962b5372ef7e49940581"></a>
typedef struct <a class="el" href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#ga021164642188962b5372ef7e49940581">otBorderRouterConfig</a></td></tr>
<tr class="memdesc:ga021164642188962b5372ef7e49940581"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents a Border Router configuration. <br /></td></tr>
<tr class="separator:ga021164642188962b5372ef7e49940581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga65d4d5b42c866bce653a878f189bf1b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga65d4d5b42c866bce653a878f189bf1b7"></a>
typedef struct <a class="el" href="../../d4/d5d/structotExternalRouteConfig.html">otExternalRouteConfig</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#ga65d4d5b42c866bce653a878f189bf1b7">otExternalRouteConfig</a></td></tr>
<tr class="memdesc:ga65d4d5b42c866bce653a878f189bf1b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an External Route configuration. <br /></td></tr>
<tr class="separator:ga65d4d5b42c866bce653a878f189bf1b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga0390c654926088c2b8fdef3bec8cfa37"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#ga0390c654926088c2b8fdef3bec8cfa37">otAddBorderRouter</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const <a class="el" href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a> *aConfig)</td></tr>
<tr class="memdesc:ga0390c654926088c2b8fdef3bec8cfa37"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a border router configuration to the local network data.  <a href="#ga0390c654926088c2b8fdef3bec8cfa37">More...</a><br /></td></tr>
<tr class="separator:ga0390c654926088c2b8fdef3bec8cfa37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7d4cbde69a071cecf2ccb473d2b2ebf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#gad7d4cbde69a071cecf2ccb473d2b2ebf">otRemoveBorderRouter</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const <a class="el" href="../../d2/ddd/structotIp6Prefix.html">otIp6Prefix</a> *aPrefix)</td></tr>
<tr class="memdesc:gad7d4cbde69a071cecf2ccb473d2b2ebf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a border router configuration from the local network data.  <a href="#gad7d4cbde69a071cecf2ccb473d2b2ebf">More...</a><br /></td></tr>
<tr class="separator:gad7d4cbde69a071cecf2ccb473d2b2ebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadb015f3cec5745e5161788d0a2eabb23"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#gadb015f3cec5745e5161788d0a2eabb23">otAddExternalRoute</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const <a class="el" href="../../d4/d5d/structotExternalRouteConfig.html">otExternalRouteConfig</a> *aConfig)</td></tr>
<tr class="memdesc:gadb015f3cec5745e5161788d0a2eabb23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an external route configuration to the local network data.  <a href="#gadb015f3cec5745e5161788d0a2eabb23">More...</a><br /></td></tr>
<tr class="separator:gadb015f3cec5745e5161788d0a2eabb23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae424b85a559043b4ae5a8b1846d68ced"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#gae424b85a559043b4ae5a8b1846d68ced">otRemoveExternalRoute</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const <a class="el" href="../../d2/ddd/structotIp6Prefix.html">otIp6Prefix</a> *aPrefix)</td></tr>
<tr class="memdesc:gae424b85a559043b4ae5a8b1846d68ced"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove an external route configuration from the local network data.  <a href="#gae424b85a559043b4ae5a8b1846d68ced">More...</a><br /></td></tr>
<tr class="separator:gae424b85a559043b4ae5a8b1846d68ced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf9f7e49c190e8e11297d534e223d6274"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274">otSendServerData</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:gaf9f7e49c190e8e11297d534e223d6274"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immediately register the local network data with the Leader.  <a href="#gaf9f7e49c190e8e11297d534e223d6274">More...</a><br /></td></tr>
<tr class="separator:gaf9f7e49c190e8e11297d534e223d6274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec4ff641d5b414d30b46435ba63bdb4f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#gaec4ff641d5b414d30b46435ba63bdb4f">otAddUnsecurePort</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aPort)</td></tr>
<tr class="memdesc:gaec4ff641d5b414d30b46435ba63bdb4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function adds a port to the allowed unsecured port list.  <a href="#gaec4ff641d5b414d30b46435ba63bdb4f">More...</a><br /></td></tr>
<tr class="separator:gaec4ff641d5b414d30b46435ba63bdb4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeac6d5f2e179d969ea87c640caad8b3d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#gaeac6d5f2e179d969ea87c640caad8b3d">otRemoveUnsecurePort</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aPort)</td></tr>
<tr class="memdesc:gaeac6d5f2e179d969ea87c640caad8b3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function removes a port from the allowed unsecure port list.  <a href="#gaeac6d5f2e179d969ea87c640caad8b3d">More...</a><br /></td></tr>
<tr class="separator:gaeac6d5f2e179d969ea87c640caad8b3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa599a5ba370e49064f701db9f7c2f88f"><td class="memItemLeft" align="right" valign="top">const uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/da2/group__config-br.html#gaa599a5ba370e49064f701db9f7c2f88f">otGetUnsecurePorts</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint8_t *aNumEntries)</td></tr>
<tr class="memdesc:gaa599a5ba370e49064f701db9f7c2f88f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns a pointer to the unsecure port list.  <a href="#gaa599a5ba370e49064f701db9f7c2f88f">More...</a><br /></td></tr>
<tr class="separator:gaa599a5ba370e49064f701db9f7c2f88f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes functions that manage configuration parameters that apply to the Thread Border Router role. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga0390c654926088c2b8fdef3bec8cfa37"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otAddBorderRouter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a> *&#160;</td>
          <td class="paramname"><em>aConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a border router configuration to the local network data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aConfig</td><td>A pointer to the border router configuration.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadErrorNone</td><td>Successfully added the configuration to the local network data. </td></tr>
    <tr><td class="paramname">kThreadErrorInvalidArgs</td><td>One or more configuration parameters were invalid. </td></tr>
    <tr><td class="paramname">kThreadErrorSize</td><td>Not enough room is available to add the configuration to the local network data.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../db/da2/group__config-br.html#gad7d4cbde69a071cecf2ccb473d2b2ebf" title="Remove a border router configuration from the local network data. ">otRemoveBorderRouter</a> </dd>
<dd>
<a class="el" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. ">otSendServerData</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_ga0390c654926088c2b8fdef3bec8cfa37_cgraph.png" border="0" usemap="#db/da2/group__config-br_ga0390c654926088c2b8fdef3bec8cfa37_cgraph" alt=""/></div>
<map name="db/da2/group__config-br_ga0390c654926088c2b8fdef3bec8cfa37_cgraph" id="db/da2/group__config-br_ga0390c654926088c2b8fdef3bec8cfa37_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a7325de1ad382ff7d28402f91f48da67c" title="This method returns a pointer to the network data local object. " alt="" coords="198,449,357,488"/>
<area shape="rect" id="node3" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#acb2d4a7ec739450fbaec0459cf6b0bc5" title="This method adds a Border Router entry to the Thread Network Data. " alt="" coords="190,512,366,551"/>
<area shape="rect" id="node4" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a17c1405fce7ac53fc91207cc49750441" title="This method removes a Border Router entry from the Thread Network Data. " alt="" coords="414,189,616,228"/>
<area shape="rect" id="node7" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a99a8265aa86b2a1a26340ae1a51421f2" title="This method returns a pointer to the Sub&#45;TLVs. " alt="" coords="943,5,1101,44"/>
<area shape="rect" id="node11" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#ae8fa9bac54dd256c88ccc5df8e3b0ef8" title="This method returns the Length value. " alt="" coords="677,251,870,289"/>
<area shape="rect" id="node12" href="../../d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827" title="This method cancels the data resubmit delay timer. " alt="" coords="673,313,874,365"/>
<area shape="rect" id="node24" href="../../d4/d80/group__core-netdata-core.html#ga9f5162a9bc93eab0d3c02ffd7647223d" title="This method inserts bytes into the Network Data. " alt="" coords="441,357,589,396"/>
<area shape="rect" id="node25" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a3dfaab63612e1c0b225e04688104f7a5" title="This method initializes the TLV. " alt="" coords="441,420,589,459"/>
<area shape="rect" id="node28" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#ae68db3e779a6ef0aaaa9daa28183ae63" title="This method sets the Sub&#45;TLVs length in bytes. " alt="" coords="416,597,613,636"/>
<area shape="rect" id="node29" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a317f61172c3e2a2c6e03caa4921014d5" title="This method sets the Length value. " alt="" coords="678,545,869,584"/>
<area shape="rect" id="node30" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html#a3d1275d791b9f61d24d4e1256db6abdc" title="This method initializes the TLV. " alt="" coords="439,483,591,521"/>
<area shape="rect" id="node31" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html#a245a0e91159fd6178382a7443b906db7" title="This method returns a pointer to the i&#39;th Border Router entry. " alt="" coords="422,660,608,699"/>
<area shape="rect" id="node33" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#ae719459638bae433026c7bc43e643d96" title="This method initializes the TLV. " alt="" coords="432,723,597,761"/>
<area shape="rect" id="node34" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a476693d756cfe0dee6d6f60ede7b2daa" title="This method sets the Preference value. " alt="" coords="441,785,589,837"/>
<area shape="rect" id="node35" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a4674e7cd29600273d26da729585176a8" title="This method sets the Flags byte value. " alt="" coords="441,861,589,913"/>
<area shape="rect" id="node36" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af2986c36cf84c021c3a7920af0e9b901" title="This method sets the Stable bit. " alt="" coords="420,937,609,976"/>
<area shape="rect" id="node5" href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3" title="This method returns a pointer to a Prefix TLV. " alt="" coords="687,63,860,101"/>
<area shape="rect" id="node6" href="../../d4/d80/group__core-netdata-core.html#gabe230a18b5a65ec7a63f08db1cb0e613" title="This method returns a pointer to the Border Router TLV within a given Prefix TLV. ..." alt="" coords="664,125,883,164"/>
<area shape="rect" id="node10" href="../../d4/d80/group__core-netdata-core.html#ga3b02c75d7d5dce213601521df50b24a3" title="This method removes bytes from the Network Data. " alt="" coords="692,188,855,227"/>
<area shape="rect" id="node8" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731" title="This method returns a pointer to the next Network Data TLV. " alt="" coords="932,131,1112,169"/>
<area shape="rect" id="node9" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84" title="This method returns the Type value. " alt="" coords="931,68,1113,107"/>
<area shape="rect" id="node13" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23" title="This method parses the CoAP header from a message. " alt="" coords="945,381,1099,420"/>
<area shape="rect" id="node19" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="1181,465,1335,504"/>
<area shape="rect" id="node20" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8" title="This method returns the Type value. " alt="" coords="945,496,1099,535"/>
<area shape="rect" id="node21" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1" title="This method returns the Code value. " alt="" coords="945,193,1099,232"/>
<area shape="rect" id="node22" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6" title="This method returns the Message ID value. " alt="" coords="945,256,1099,295"/>
<area shape="rect" id="node23" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820" title="This method returns a pointer to the Token value. " alt="" coords="945,319,1099,357"/>
<area shape="rect" id="node14" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="1163,416,1353,441"/>
<area shape="rect" id="node15" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="1161,255,1355,280"/>
<area shape="rect" id="node16" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="1176,304,1340,329"/>
<area shape="rect" id="node18" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad72a44d4abf73228b4857b9ad90e7465" title="This method returns the Version value. " alt="" coords="1181,353,1335,392"/>
<area shape="rect" id="node17" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1403,304,1601,329"/>
<area shape="rect" id="node26" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#aac4e144713568670ae504b4d40bbcc5d" title="This method initializes TLV. " alt="" coords="699,420,848,459"/>
<area shape="rect" id="node27" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a16dd006580876eac0a702c12b6f9db81" title="This method sets the Type value. " alt="" coords="684,483,863,521"/>
<area shape="rect" id="node32" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a48c613c8f16703f3af0480e4d4c588b9" title="This method returns a pointer to the Value. " alt="" coords="681,660,866,699"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_ga0390c654926088c2b8fdef3bec8cfa37_icgraph.png" border="0" usemap="#db/da2/group__config-br_ga0390c654926088c2b8fdef3bec8cfa37_icgraph" alt=""/></div>
<map name="db/da2/group__config-br_ga0390c654926088c2b8fdef3bec8cfa37_icgraph" id="db/da2/group__config-br_ga0390c654926088c2b8fdef3bec8cfa37_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="208,5,363,44"/>
<area shape="rect" id="node3" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="190,68,381,107"/>
<area shape="rect" id="node4" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="429,68,624,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gadb015f3cec5745e5161788d0a2eabb23"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otAddExternalRoute </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d4/d5d/structotExternalRouteConfig.html">otExternalRouteConfig</a> *&#160;</td>
          <td class="paramname"><em>aConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add an external route configuration to the local network data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aConfig</td><td>A pointer to the external route configuration.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadErrorNone</td><td>Successfully added the configuration to the local network data. </td></tr>
    <tr><td class="paramname">kThreadErrorInvalidArgs</td><td>One or more configuration parameters were invalid. </td></tr>
    <tr><td class="paramname">kThreadErrorSize</td><td>Not enough room is available to add the configuration to the local network data.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../db/da2/group__config-br.html#gae424b85a559043b4ae5a8b1846d68ced" title="Remove an external route configuration from the local network data. ">otRemoveExternalRoute</a> </dd>
<dd>
<a class="el" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. ">otSendServerData</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gadb015f3cec5745e5161788d0a2eabb23_cgraph.png" border="0" usemap="#db/da2/group__config-br_gadb015f3cec5745e5161788d0a2eabb23_cgraph" alt=""/></div>
<map name="db/da2/group__config-br_gadb015f3cec5745e5161788d0a2eabb23_cgraph" id="db/da2/group__config-br_gadb015f3cec5745e5161788d0a2eabb23_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a7325de1ad382ff7d28402f91f48da67c" title="This method returns a pointer to the network data local object. " alt="" coords="207,874,366,913"/>
<area shape="rect" id="node3" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#abdce87272d09f0d5aa77b8bc3886c950" title="This method adds a Has Route entry to the Thread Network data. " alt="" coords="194,937,379,976"/>
<area shape="rect" id="node4" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#aca96f012e0a75890e6b3e24223b37fea" title="This method removes a Border Router entry from the Thread Network Data. " alt="" coords="427,452,639,490"/>
<area shape="rect" id="node7" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a99a8265aa86b2a1a26340ae1a51421f2" title="This method returns a pointer to the Sub&#45;TLVs. " alt="" coords="979,96,1136,134"/>
<area shape="rect" id="node11" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#ae8fa9bac54dd256c88ccc5df8e3b0ef8" title="This method returns the Length value. " alt="" coords="698,41,892,80"/>
<area shape="rect" id="node12" href="../../d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827" title="This method cancels the data resubmit delay timer. " alt="" coords="694,861,896,913"/>
<area shape="rect" id="node24" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html#af793fac409ea244556f3f4690f4b4181" title="This method returns a pointer to the i&#39;th HasRoute entry. " alt="" coords="712,798,878,837"/>
<area shape="rect" id="node35" href="../../d4/d80/group__core-netdata-core.html#ga9f5162a9bc93eab0d3c02ffd7647223d" title="This method inserts bytes into the Network Data. " alt="" coords="459,874,607,913"/>
<area shape="rect" id="node36" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a3dfaab63612e1c0b225e04688104f7a5" title="This method initializes the TLV. " alt="" coords="459,937,607,976"/>
<area shape="rect" id="node39" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#ae68db3e779a6ef0aaaa9daa28183ae63" title="This method sets the Sub&#45;TLVs length in bytes. " alt="" coords="435,1114,632,1153"/>
<area shape="rect" id="node40" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a317f61172c3e2a2c6e03caa4921014d5" title="This method sets the Length value. " alt="" coords="699,1062,891,1101"/>
<area shape="rect" id="node41" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html#a62a398f221f165f3513f7b1a8ba39049" title="This method initializes the TLV. " alt="" coords="459,1000,607,1038"/>
<area shape="rect" id="node42" href="../../da/dc3/classThread_1_1NetworkData_1_1HasRouteEntry.html#ae3cf5fb627e7d42a228594262d9fc599" title="This method initializes the header. " alt="" coords="459,1177,607,1216"/>
<area shape="rect" id="node43" href="../../da/dc3/classThread_1_1NetworkData_1_1HasRouteEntry.html#a9734a444d27629ca8704f1988dff5638" title="This method sets the Preference value. " alt="" coords="427,1240,639,1278"/>
<area shape="rect" id="node44" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af2986c36cf84c021c3a7920af0e9b901" title="This method sets the Stable bit. " alt="" coords="439,1302,627,1341"/>
<area shape="rect" id="node5" href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3" title="This method returns a pointer to a Prefix TLV. " alt="" coords="708,673,882,712"/>
<area shape="rect" id="node6" href="../../d4/d80/group__core-netdata-core.html#ga2bcec104d7c04ab44abfaa5a509c6070" title="This method returns a pointer to the Has Route TLV within a given Prefix TLV. " alt="" coords="696,156,894,194"/>
<area shape="rect" id="node8" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731" title="This method returns a pointer to the next Network Data TLV. " alt="" coords="967,272,1147,310"/>
<area shape="rect" id="node10" href="../../d4/d80/group__core-netdata-core.html#ga3b02c75d7d5dce213601521df50b24a3" title="This method removes bytes from the Network Data. " alt="" coords="714,218,876,257"/>
<area shape="rect" id="node26" href="../../da/dc3/classThread_1_1NetworkData_1_1HasRouteEntry.html#af292305ab28c84078cca0202895f57bc" title="This method sets the RLOC16 value. " alt="" coords="708,281,882,320"/>
<area shape="rect" id="node27" href="../../df/d94/group__core-mle-core.html#ga4934863fd1274f1b86dc9bcee8d8682d" title="This method returns the RLOC16 assigned to the Thread interface. " alt="" coords="699,396,891,421"/>
<area shape="rect" id="node29" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html#a245a0e91159fd6178382a7443b906db7" title="This method returns a pointer to the i&#39;th Border Router entry. " alt="" coords="702,736,888,774"/>
<area shape="rect" id="node30" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a3a5f9b543ac49d0b7b28c4d07748b771" title="This method sets the RLOC16 value. " alt="" coords="721,445,869,497"/>
<area shape="rect" id="node31" href="../../d4/d80/group__core-netdata-core.html#ga9e4be52c4b1edb2b456372e07f936e64" title="This method indicates whether or not the Thread Network Data contains all of the on mesh prefix infor..." alt="" coords="687,521,903,573"/>
<area shape="rect" id="node33" href="../../d4/d80/group__core-netdata-core.html#gaad3d7b2e97324d6cb9d87c464bcb995a" title="This method indicates whether or not the Thread Network Data contains all of the external route infor..." alt="" coords="688,597,902,649"/>
<area shape="rect" id="node9" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84" title="This method returns the Type value. " alt="" coords="967,158,1148,197"/>
<area shape="rect" id="node13" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23" title="This method parses the CoAP header from a message. " alt="" coords="980,1078,1134,1117"/>
<area shape="rect" id="node19" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="1232,854,1386,893"/>
<area shape="rect" id="node20" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8" title="This method returns the Type value. " alt="" coords="980,828,1134,866"/>
<area shape="rect" id="node21" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1" title="This method returns the Code value. " alt="" coords="980,890,1134,929"/>
<area shape="rect" id="node22" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6" title="This method returns the Message ID value. " alt="" coords="980,953,1134,992"/>
<area shape="rect" id="node23" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820" title="This method returns a pointer to the Token value. " alt="" coords="980,1016,1134,1054"/>
<area shape="rect" id="node14" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="1214,1113,1404,1138"/>
<area shape="rect" id="node15" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="1212,1162,1406,1188"/>
<area shape="rect" id="node16" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="1227,1001,1391,1026"/>
<area shape="rect" id="node18" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad72a44d4abf73228b4857b9ad90e7465" title="This method returns the Version value. " alt="" coords="1232,1050,1386,1089"/>
<area shape="rect" id="node17" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1454,1001,1652,1026"/>
<area shape="rect" id="node25" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a48c613c8f16703f3af0480e4d4c588b9" title="This method returns a pointer to the Value. " alt="" coords="965,713,1150,752"/>
<area shape="rect" id="node28" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#ac00b980b5fa6eca48cd29aa7b8ccebe8" title="This method returns the IEEE 802.15.4 Short Address. " alt="" coords="963,389,1152,428"/>
<area shape="rect" id="node32" href="../../d4/d80/group__core-netdata-core.html#ga1f1cacaf85d15baa1cf784b23665f421" title="This method provides the next On Mesh prefix in the Thread Network Data. " alt="" coords="951,521,1164,573"/>
<area shape="rect" id="node34" href="../../d4/d80/group__core-netdata-core.html#ga15e4cd603674f7ba4e4d1323239b5004" title="This method provides the next external route in the Thread Network Data. " alt="" coords="952,597,1163,649"/>
<area shape="rect" id="node37" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#aac4e144713568670ae504b4d40bbcc5d" title="This method initializes TLV. " alt="" coords="721,937,869,976"/>
<area shape="rect" id="node38" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a16dd006580876eac0a702c12b6f9db81" title="This method sets the Type value. " alt="" coords="705,1000,885,1038"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gadb015f3cec5745e5161788d0a2eabb23_icgraph.png" border="0" usemap="#db/da2/group__config-br_gadb015f3cec5745e5161788d0a2eabb23_icgraph" alt=""/></div>
<map name="db/da2/group__config-br_gadb015f3cec5745e5161788d0a2eabb23_icgraph" id="db/da2/group__config-br_gadb015f3cec5745e5161788d0a2eabb23_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="212,5,368,44"/>
<area shape="rect" id="node3" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="194,68,386,107"/>
<area shape="rect" id="node4" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="434,68,629,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaec4ff641d5b414d30b46435ba63bdb4f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otAddUnsecurePort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPort</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function adds a port to the allowed unsecured port list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPort</td><td>The port value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>The port was successfully added to the allowed unsecure port list. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>The unsecure port list is full. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gaec4ff641d5b414d30b46435ba63bdb4f_cgraph.png" border="0" usemap="#db/da2/group__config-br_gaec4ff641d5b414d30b46435ba63bdb4f_cgraph" alt=""/></div>
<map name="db/da2/group__config-br_gaec4ff641d5b414d30b46435ba63bdb4f_cgraph" id="db/da2/group__config-br_gaec4ff641d5b414d30b46435ba63bdb4f_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ac9cdcb6443cd6fd0748e3217cccff8a4" title="This method returns a reference to the IPv6 filter object. " alt="" coords="191,5,332,44"/>
<area shape="rect" id="node3" href="../../d2/df2/group__core-ipv6.html#ga1300d30ac5dfe405714178b4aede4c82" title="This method adds a port to the allowed unsecured port list. " alt="" coords="194,68,328,107"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gaec4ff641d5b414d30b46435ba63bdb4f_icgraph.png" border="0" usemap="#db/da2/group__config-br_gaec4ff641d5b414d30b46435ba63bdb4f_icgraph" alt=""/></div>
<map name="db/da2/group__config-br_gaec4ff641d5b414d30b46435ba63bdb4f_icgraph" id="db/da2/group__config-br_gaec4ff641d5b414d30b46435ba63bdb4f_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="191,5,383,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="431,5,626,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaa599a5ba370e49064f701db9f7c2f88f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const uint16_t* otGetUnsecurePorts </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>aNumEntries</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns a pointer to the unsecure port list. </p>
<dl class="section note"><dt>Note</dt><dd>Port value 0 is used to indicate an invalid entry.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aNumEntries</td><td>The number of entries in the list.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the unsecure port list. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gaa599a5ba370e49064f701db9f7c2f88f_cgraph.png" border="0" usemap="#db/da2/group__config-br_gaa599a5ba370e49064f701db9f7c2f88f_cgraph" alt=""/></div>
<map name="db/da2/group__config-br_gaa599a5ba370e49064f701db9f7c2f88f_cgraph" id="db/da2/group__config-br_gaa599a5ba370e49064f701db9f7c2f88f_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ac9cdcb6443cd6fd0748e3217cccff8a4" title="This method returns a reference to the IPv6 filter object. " alt="" coords="195,5,336,44"/>
<area shape="rect" id="node3" href="../../d2/df2/group__core-ipv6.html#gad48cac4b6d358fcc1ce7af400501e94d" title="This method returns a pointer to the unsecure port list. " alt="" coords="197,68,335,107"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gaa599a5ba370e49064f701db9f7c2f88f_icgraph.png" border="0" usemap="#db/da2/group__config-br_gaa599a5ba370e49064f701db9f7c2f88f_icgraph" alt=""/></div>
<map name="db/da2/group__config-br_gaa599a5ba370e49064f701db9f7c2f88f_icgraph" id="db/da2/group__config-br_gaa599a5ba370e49064f701db9f7c2f88f_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="195,5,387,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="435,5,630,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gad7d4cbde69a071cecf2ccb473d2b2ebf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otRemoveBorderRouter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d2/ddd/structotIp6Prefix.html">otIp6Prefix</a> *&#160;</td>
          <td class="paramname"><em>aPrefix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Remove a border router configuration from the local network data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPrefix</td><td>A pointer to an IPv6 prefix.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadErrorNone</td><td>Successfully removed the configuration from the local network data.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../db/da2/group__config-br.html#ga0390c654926088c2b8fdef3bec8cfa37" title="Add a border router configuration to the local network data. ">otAddBorderRouter</a> </dd>
<dd>
<a class="el" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. ">otSendServerData</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gad7d4cbde69a071cecf2ccb473d2b2ebf_cgraph.png" border="0" usemap="#db/da2/group__config-br_gad7d4cbde69a071cecf2ccb473d2b2ebf_cgraph" alt=""/></div>
<map name="db/da2/group__config-br_gad7d4cbde69a071cecf2ccb473d2b2ebf_cgraph" id="db/da2/group__config-br_gad7d4cbde69a071cecf2ccb473d2b2ebf_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a7325de1ad382ff7d28402f91f48da67c" title="This method returns a pointer to the network data local object. " alt="" coords="237,91,396,129"/>
<area shape="rect" id="node3" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a17c1405fce7ac53fc91207cc49750441" title="This method removes a Border Router entry from the Thread Network Data. " alt="" coords="215,153,418,192"/>
<area shape="rect" id="node4" href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3" title="This method returns a pointer to a Prefix TLV. " alt="" coords="489,28,662,67"/>
<area shape="rect" id="node5" href="../../d4/d80/group__core-netdata-core.html#gabe230a18b5a65ec7a63f08db1cb0e613" title="This method returns a pointer to the Border Router TLV within a given Prefix TLV. ..." alt="" coords="466,91,685,129"/>
<area shape="rect" id="node9" href="../../d4/d80/group__core-netdata-core.html#ga3b02c75d7d5dce213601521df50b24a3" title="This method removes bytes from the Network Data. " alt="" coords="494,153,657,192"/>
<area shape="rect" id="node10" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#ae8fa9bac54dd256c88ccc5df8e3b0ef8" title="This method returns the Length value. " alt="" coords="479,216,672,255"/>
<area shape="rect" id="node11" href="../../d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827" title="This method cancels the data resubmit delay timer. " alt="" coords="475,301,676,353"/>
<area shape="rect" id="node6" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a99a8265aa86b2a1a26340ae1a51421f2" title="This method returns a pointer to the Sub&#45;TLVs. " alt="" coords="745,5,902,44"/>
<area shape="rect" id="node7" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731" title="This method returns a pointer to the next Network Data TLV. " alt="" coords="734,68,913,107"/>
<area shape="rect" id="node8" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84" title="This method returns the Type value. " alt="" coords="733,131,914,169"/>
<area shape="rect" id="node12" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23" title="This method parses the CoAP header from a message. " alt="" coords="747,193,901,232"/>
<area shape="rect" id="node18" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="983,284,1137,323"/>
<area shape="rect" id="node19" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8" title="This method returns the Type value. " alt="" coords="747,308,901,347"/>
<area shape="rect" id="node20" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1" title="This method returns the Code value. " alt="" coords="747,371,901,409"/>
<area shape="rect" id="node21" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6" title="This method returns the Message ID value. " alt="" coords="747,433,901,472"/>
<area shape="rect" id="node22" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820" title="This method returns a pointer to the Token value. " alt="" coords="747,496,901,535"/>
<area shape="rect" id="node13" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="965,73,1154,99"/>
<area shape="rect" id="node14" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="962,123,1157,148"/>
<area shape="rect" id="node15" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="977,172,1142,197"/>
<area shape="rect" id="node17" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad72a44d4abf73228b4857b9ad90e7465" title="This method returns the Version value. " alt="" coords="983,221,1137,260"/>
<area shape="rect" id="node16" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1205,172,1403,197"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gad7d4cbde69a071cecf2ccb473d2b2ebf_icgraph.png" border="0" usemap="#db/da2/group__config-br_gad7d4cbde69a071cecf2ccb473d2b2ebf_icgraph" alt=""/></div>
<map name="db/da2/group__config-br_gad7d4cbde69a071cecf2ccb473d2b2ebf_icgraph" id="db/da2/group__config-br_gad7d4cbde69a071cecf2ccb473d2b2ebf_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="234,5,389,44"/>
<area shape="rect" id="node3" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="215,68,407,107"/>
<area shape="rect" id="node4" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="455,68,650,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gae424b85a559043b4ae5a8b1846d68ced"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otRemoveExternalRoute </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d2/ddd/structotIp6Prefix.html">otIp6Prefix</a> *&#160;</td>
          <td class="paramname"><em>aPrefix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Remove an external route configuration from the local network data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPrefix</td><td>A pointer to an IPv6 prefix.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadErrorNone</td><td>Successfully removed the configuration from the local network data.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../db/da2/group__config-br.html#gadb015f3cec5745e5161788d0a2eabb23" title="Add an external route configuration to the local network data. ">otAddExternalRoute</a> </dd>
<dd>
<a class="el" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. ">otSendServerData</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gae424b85a559043b4ae5a8b1846d68ced_cgraph.png" border="0" usemap="#db/da2/group__config-br_gae424b85a559043b4ae5a8b1846d68ced_cgraph" alt=""/></div>
<map name="db/da2/group__config-br_gae424b85a559043b4ae5a8b1846d68ced_cgraph" id="db/da2/group__config-br_gae424b85a559043b4ae5a8b1846d68ced_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a7325de1ad382ff7d28402f91f48da67c" title="This method returns a pointer to the network data local object. " alt="" coords="246,339,405,377"/>
<area shape="rect" id="node3" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#aca96f012e0a75890e6b3e24223b37fea" title="This method removes a Border Router entry from the Thread Network Data. " alt="" coords="220,401,431,440"/>
<area shape="rect" id="node4" href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3" title="This method returns a pointer to a Prefix TLV. " alt="" coords="500,5,674,44"/>
<area shape="rect" id="node5" href="../../d4/d80/group__core-netdata-core.html#ga2bcec104d7c04ab44abfaa5a509c6070" title="This method returns a pointer to the Has Route TLV within a given Prefix TLV. " alt="" coords="488,120,686,159"/>
<area shape="rect" id="node6" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a99a8265aa86b2a1a26340ae1a51421f2" title="This method returns a pointer to the Sub&#45;TLVs. " alt="" coords="771,31,928,69"/>
<area shape="rect" id="node7" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731" title="This method returns a pointer to the next Network Data TLV. " alt="" coords="760,156,939,195"/>
<area shape="rect" id="node9" href="../../d4/d80/group__core-netdata-core.html#ga3b02c75d7d5dce213601521df50b24a3" title="This method removes bytes from the Network Data. " alt="" coords="506,235,669,273"/>
<area shape="rect" id="node10" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#ae8fa9bac54dd256c88ccc5df8e3b0ef8" title="This method returns the Length value. " alt="" coords="490,297,684,336"/>
<area shape="rect" id="node11" href="../../d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827" title="This method cancels the data resubmit delay timer. " alt="" coords="486,360,688,412"/>
<area shape="rect" id="node23" href="../../db/da1/classThread_1_1NetworkData_1_1HasRouteTlv.html#af793fac409ea244556f3f4690f4b4181" title="This method returns a pointer to the i&#39;th HasRoute entry. " alt="" coords="504,436,670,475"/>
<area shape="rect" id="node25" href="../../da/dc3/classThread_1_1NetworkData_1_1HasRouteEntry.html#af292305ab28c84078cca0202895f57bc" title="This method sets the RLOC16 value. " alt="" coords="500,499,674,537"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#ga4934863fd1274f1b86dc9bcee8d8682d" title="This method returns the RLOC16 assigned to the Thread interface. " alt="" coords="491,624,683,649"/>
<area shape="rect" id="node28" href="../../d2/d89/classThread_1_1NetworkData_1_1BorderRouterTlv.html#a245a0e91159fd6178382a7443b906db7" title="This method returns a pointer to the i&#39;th Border Router entry. " alt="" coords="494,561,680,600"/>
<area shape="rect" id="node29" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a3a5f9b543ac49d0b7b28c4d07748b771" title="This method sets the RLOC16 value. " alt="" coords="513,673,661,725"/>
<area shape="rect" id="node30" href="../../d4/d80/group__core-netdata-core.html#ga9e4be52c4b1edb2b456372e07f936e64" title="This method indicates whether or not the Thread Network Data contains all of the on mesh prefix infor..." alt="" coords="479,749,695,801"/>
<area shape="rect" id="node32" href="../../d4/d80/group__core-netdata-core.html#gaad3d7b2e97324d6cb9d87c464bcb995a" title="This method indicates whether or not the Thread Network Data contains all of the external route infor..." alt="" coords="480,825,694,877"/>
<area shape="rect" id="node8" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84" title="This method returns the Type value. " alt="" coords="759,93,940,132"/>
<area shape="rect" id="node12" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23" title="This method parses the CoAP header from a message. " alt="" coords="772,219,926,257"/>
<area shape="rect" id="node18" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="1024,309,1178,348"/>
<area shape="rect" id="node19" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8" title="This method returns the Type value. " alt="" coords="772,333,926,372"/>
<area shape="rect" id="node20" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1" title="This method returns the Code value. " alt="" coords="772,396,926,435"/>
<area shape="rect" id="node21" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6" title="This method returns the Message ID value. " alt="" coords="772,459,926,497"/>
<area shape="rect" id="node22" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820" title="This method returns a pointer to the Token value. " alt="" coords="772,521,926,560"/>
<area shape="rect" id="node13" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="1006,99,1196,124"/>
<area shape="rect" id="node14" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="1004,148,1198,173"/>
<area shape="rect" id="node15" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="1019,197,1183,223"/>
<area shape="rect" id="node17" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad72a44d4abf73228b4857b9ad90e7465" title="This method returns the Version value. " alt="" coords="1024,247,1178,285"/>
<area shape="rect" id="node16" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="1246,197,1444,223"/>
<area shape="rect" id="node24" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a48c613c8f16703f3af0480e4d4c588b9" title="This method returns a pointer to the Value. " alt="" coords="757,584,942,623"/>
<area shape="rect" id="node27" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#ac00b980b5fa6eca48cd29aa7b8ccebe8" title="This method returns the IEEE 802.15.4 Short Address. " alt="" coords="755,647,944,685"/>
<area shape="rect" id="node31" href="../../d4/d80/group__core-netdata-core.html#ga1f1cacaf85d15baa1cf784b23665f421" title="This method provides the next On Mesh prefix in the Thread Network Data. " alt="" coords="743,749,956,801"/>
<area shape="rect" id="node33" href="../../d4/d80/group__core-netdata-core.html#ga15e4cd603674f7ba4e4d1323239b5004" title="This method provides the next external route in the Thread Network Data. " alt="" coords="744,825,955,877"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gae424b85a559043b4ae5a8b1846d68ced_icgraph.png" border="0" usemap="#db/da2/group__config-br_gae424b85a559043b4ae5a8b1846d68ced_icgraph" alt=""/></div>
<map name="db/da2/group__config-br_gae424b85a559043b4ae5a8b1846d68ced_icgraph" id="db/da2/group__config-br_gae424b85a559043b4ae5a8b1846d68ced_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="238,5,394,44"/>
<area shape="rect" id="node3" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="220,68,412,107"/>
<area shape="rect" id="node4" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="460,68,654,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaeac6d5f2e179d969ea87c640caad8b3d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otRemoveUnsecurePort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPort</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function removes a port from the allowed unsecure port list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPort</td><td>The port value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>The port was successfully removed from the allowed unsecure port list. </td></tr>
    <tr><td class="paramname">kThreadError_NotFound</td><td>The port was not found in the unsecure port list. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gaeac6d5f2e179d969ea87c640caad8b3d_cgraph.png" border="0" usemap="#db/da2/group__config-br_gaeac6d5f2e179d969ea87c640caad8b3d_cgraph" alt=""/></div>
<map name="db/da2/group__config-br_gaeac6d5f2e179d969ea87c640caad8b3d_cgraph" id="db/da2/group__config-br_gaeac6d5f2e179d969ea87c640caad8b3d_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ac9cdcb6443cd6fd0748e3217cccff8a4" title="This method returns a reference to the IPv6 filter object. " alt="" coords="227,5,367,44"/>
<area shape="rect" id="node3" href="../../d2/df2/group__core-ipv6.html#ga3acc28966050de95753946d13db6c55f" title="This method removes a port from the allowed unsecure port list. " alt="" coords="217,68,377,107"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gaeac6d5f2e179d969ea87c640caad8b3d_icgraph.png" border="0" usemap="#db/da2/group__config-br_gaeac6d5f2e179d969ea87c640caad8b3d_icgraph" alt=""/></div>
<map name="db/da2/group__config-br_gaeac6d5f2e179d969ea87c640caad8b3d_icgraph" id="db/da2/group__config-br_gaeac6d5f2e179d969ea87c640caad8b3d_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="217,5,409,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="457,5,651,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaf9f7e49c190e8e11297d534e223d6274"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otSendServerData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Immediately register the local network data with the Leader. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance.</td></tr>
  </table>
  </dd>
</dl>
<p>retval kThreadErrorNone Successfully queued a Server Data Request message for delivery.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../db/da2/group__config-br.html#ga0390c654926088c2b8fdef3bec8cfa37" title="Add a border router configuration to the local network data. ">otAddBorderRouter</a> </dd>
<dd>
<a class="el" href="../../db/da2/group__config-br.html#gad7d4cbde69a071cecf2ccb473d2b2ebf" title="Remove a border router configuration from the local network data. ">otRemoveBorderRouter</a> </dd>
<dd>
<a class="el" href="../../db/da2/group__config-br.html#gadb015f3cec5745e5161788d0a2eabb23" title="Add an external route configuration to the local network data. ">otAddExternalRoute</a> </dd>
<dd>
<a class="el" href="../../db/da2/group__config-br.html#gae424b85a559043b4ae5a8b1846d68ced" title="Remove an external route configuration from the local network data. ">otRemoveExternalRoute</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gaf9f7e49c190e8e11297d534e223d6274_cgraph.png" border="0" usemap="#db/da2/group__config-br_gaf9f7e49c190e8e11297d534e223d6274_cgraph" alt=""/></div>
<map name="db/da2/group__config-br_gaf9f7e49c190e8e11297d534e223d6274_cgraph" id="db/da2/group__config-br_gaf9f7e49c190e8e11297d534e223d6274_cgraph">
<area shape="rect" id="node2" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a7325de1ad382ff7d28402f91f48da67c" title="This method returns a pointer to the network data local object. " alt="" coords="759,5,918,44"/>
<area shape="rect" id="node3" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="184,1083,417,1121"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#ga4934863fd1274f1b86dc9bcee8d8682d" title="This method returns the RLOC16 assigned to the Thread interface. " alt="" coords="743,68,935,93"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gac26c98b0fa6179640188f1dd0c9b3e8d" title="This method returns the Device Mode as reported in the Mode TLV. " alt="" coords="465,947,689,972"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gab54505fd8d04b14f4ee595a2d7ec010c" title="This method indicates whether or not the Router Role is enabled. " alt="" coords="496,996,658,1035"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gabc154b6e95f5b169febcd7a582dfa1a3" title="This method returns the current Thread interface state. " alt="" coords="743,117,934,156"/>
<area shape="rect" id="node9" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="496,1111,658,1149"/>
<area shape="rect" id="node48" href="../../db/dec/group__core-mle-router.html#ga4df822a5c9d640af79f080d1515d8aa0" title="This method returns the ROUTER_UPGRADE_THRESHOLD value. " alt="" coords="477,1173,677,1212"/>
<area shape="rect" id="node49" href="../../d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827" title="This method cancels the data resubmit delay timer. " alt="" coords="476,1236,678,1288"/>
<area shape="rect" id="node50" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="471,2365,683,2417"/>
<area shape="rect" id="node5" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#ac00b980b5fa6eca48cd29aa7b8ccebe8" title="This method returns the IEEE 802.15.4 Short Address. " alt="" coords="988,119,1178,157"/>
<area shape="rect" id="node10" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html#a56cccaa5d261a64f1bcdb166cf9430f2" title="This method converts an IPv6 Interface Identifier to an IEEE 802.15.4 Extended Address. " alt="" coords="739,232,938,257"/>
<area shape="rect" id="node11" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="752,2344,925,2383"/>
<area shape="rect" id="node12" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#ac452d3aa15759caa12dd6e3ff3a64af5" title="This static method reads the requested TLV out of aMessage. " alt="" coords="757,281,921,307"/>
<area shape="rect" id="node13" href="../../d4/ddb/classThread_1_1Mle_1_1SourceAddressTlv.html#ae3a40196aba7e8c8b31b1a414e69ae67" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="743,331,934,369"/>
<area shape="rect" id="node14" href="../../db/dec/group__core-mle-router.html#gae77c691904889226f188bf0b7847baa8" title="This method returns a pointer to a Neighbor object. " alt="" coords="1002,448,1164,487"/>
<area shape="rect" id="node15" href="../../d4/ddb/classThread_1_1Mle_1_1SourceAddressTlv.html#a98262a92f68f62232c656078d77aa97f" title="This method returns the RLOC16 value. " alt="" coords="743,445,934,484"/>
<area shape="rect" id="node16" href="../../db/dec/group__core-mle-router.html#gad2cbb52a7cbdea3f7d749eaef0d70ea2" title="This method removes a link to a neighbor. " alt="" coords="758,508,919,547"/>
<area shape="rect" id="node17" href="../../d5/d64/classThread_1_1Mle_1_1LeaderDataTlv.html#a451708fba054ef823724d3ac797fc756" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="745,571,932,609"/>
<area shape="rect" id="node18" href="../../d6/d9e/classThread_1_1Mle_1_1RouteTlv.html#a8f52161289b9c0c8f781219df10ff098" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="762,633,915,672"/>
<area shape="rect" id="node19" href="../../d5/d64/classThread_1_1Mle_1_1LeaderDataTlv.html#a0127ba4bc8b05d15aadb08e6a047899a" title="This method returns the Partition ID value. " alt="" coords="989,744,1177,783"/>
<area shape="rect" id="node20" href="../../d5/d64/classThread_1_1Mle_1_1LeaderDataTlv.html#ad4ce664d18871d7443d7fe5a252ce9e8" title="This method returns the Weighting value. " alt="" coords="989,835,1177,873"/>
<area shape="rect" id="node21" href="../../d6/d9e/classThread_1_1Mle_1_1RouteTlv.html#a3070d53b2e65fc37d906495c56e83a49" title="This method indicates whether or not a Router ID bit is set. " alt="" coords="762,799,915,837"/>
<area shape="rect" id="node22" href="../../db/dec/group__core-mle-router.html#ga8ff435384ef5423683fbb74f0d87c1a9" title="This method indicates whether or not the given Thread partition attributes are preferred. " alt="" coords="758,861,919,900"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#ga77c040805ea115e685375e15e90ec671" title="This method indicates whether a node is the only router on the network. " alt="" coords="758,924,919,963"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#gabe6ce4ca7175574ca785eed7f4ab8da2" title="This method causes the Thread interface to attempt an MLE attach. " alt="" coords="994,991,1172,1029"/>
<area shape="rect" id="node25" href="../../d5/d64/classThread_1_1Mle_1_1LeaderDataTlv.html#a2c8dc66cf97829e3488d4e6821b8d695" title="This method returns the Leader Router ID value. " alt="" coords="989,1072,1177,1111"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#gafad11b19276e5719ba2d877327738144" title="This method returns the Router ID of the Leader. " alt="" coords="737,1089,940,1115"/>
<area shape="rect" id="node27" href="../../df/d94/group__core-mle-core.html#ga965b4a6e302d906d47e6a72b0e2a1e41" title="This method causes the Thread interface to detach from the Thread network. " alt="" coords="750,1139,928,1177"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#gaa5ec48ae440f38d5bf24f9d09ca66c65" title="This method sets the Device State to Detached. " alt="" coords="993,1168,1173,1207"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#ga99e523b68d245889329e59fc7f20fb64" title="This method indicates whether or not aRloc16 refers to an active router. " alt="" coords="751,1253,926,1292"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#gaf25c55f10892f57a41dd0fe6e495f70e" title="This method returns the Router ID portion of an RLOC16. " alt="" coords="738,1316,939,1341"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#ga68eea6791f7f1ab21eda738487066b14" title="This method checks if a given Router ID has correct value. " alt="" coords="758,1365,919,1404"/>
<area shape="rect" id="node32" href="../../d6/d9e/classThread_1_1Mle_1_1RouteTlv.html#a0cfcf61986305357bb90cc579191cc91" title="This method returns the Router ID Sequence value. " alt="" coords="758,1428,919,1467"/>
<area shape="rect" id="node33" href="../../dd/d10/group__random.html#gaa20820ca4e6e1ce8cd47ded9762b14ca" title="Get a 32&#45;bit random value. " alt="" coords="775,2407,902,2432"/>
<area shape="rect" id="node34" href="../../d6/d9e/classThread_1_1Mle_1_1RouteTlv.html#a46ce000b997a927735109f6ceba9dd9b" title="This method returns the Route Cost value for a given Router ID. " alt="" coords="762,1491,915,1529"/>
<area shape="rect" id="node35" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#a476c18fbd4d727fd09a778bfdc983c86" title="This method clears the all the data in this instance. " alt="" coords="759,1553,918,1592"/>
<area shape="rect" id="node36" href="../../dd/d38/classThread_1_1LinkQualityInfo.html#a45dfdc4409e7f87889b95d445aefcdd9" title="This method adds a new received signal strength (RSS) value to the average. " alt="" coords="759,1616,918,1655"/>
<area shape="rect" id="node37" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#a66adbd2802117755ceff80c2aa1a4d84" title="This method returns the noise floor state. " alt="" coords="743,1679,935,1717"/>
<area shape="rect" id="node38" href="../../d1/d40/classThread_1_1Timer.html#a0596072dec177b5e2b494db19800267d" title="This static method returns the current time in milliseconds. " alt="" coords="1003,1863,1163,1888"/>
<area shape="rect" id="node39" href="../../d6/d9e/classThread_1_1Mle_1_1RouteTlv.html#ad8c3e375b4855dc17a469e0285dcc3c8" title="This method returns the Link Quality In value for a given Router ID. " alt="" coords="762,1793,915,1832"/>
<area shape="rect" id="node40" href="../../db/dec/group__core-mle-router.html#gaa7f41c573cc9321a61157a84db18eca5" title="This method returns the time in seconds since the last Router ID Sequence update. ..." alt="" coords="758,1856,919,1895"/>
<area shape="rect" id="node41" href="../../d3/d3d/classThread_1_1Mle_1_1VersionTlv.html#a678d8f0ece86d179ce0b14414d374492" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="758,1919,920,1957"/>
<area shape="rect" id="node42" href="../../d3/d3d/classThread_1_1Mle_1_1VersionTlv.html#acbd9d0ac586b3a499805874b4fe6f922" title="This method returns the Version value. " alt="" coords="758,1981,920,2020"/>
<area shape="rect" id="node43" href="../../da/d3d/classThread_1_1Mle_1_1ScanMaskTlv.html#a9bd6c8e3d59f2e826643bfa0bc37e2bd" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="749,2044,929,2083"/>
<area shape="rect" id="node44" href="../../da/d3d/classThread_1_1Mle_1_1ScanMaskTlv.html#aa536a39870c82f0de427eacaa40758a8" title="This method indicates whether or not the End Device flag is set. " alt="" coords="749,2107,929,2145"/>
<area shape="rect" id="node45" href="../../da/d3d/classThread_1_1Mle_1_1ScanMaskTlv.html#a0f05360d34603525658d176842976e31" title="This method indicates whether or not the Router flag is set. " alt="" coords="749,2169,929,2208"/>
<area shape="rect" id="node46" href="../../da/d3f/classThread_1_1Mle_1_1ChallengeTlv.html#aa88f7d7d8a3f2110e4605d68c88f34d6" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="750,2232,928,2271"/>
<area shape="rect" id="node47" href="../../d1/d40/classThread_1_1Timer.html#a38c2681adb35b234d62b9848f89318b0" title="This static method returns the number of milliseconds given seconds. " alt="" coords="748,2295,929,2320"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/da2/group__config-br_gaf9f7e49c190e8e11297d534e223d6274_icgraph.png" border="0" usemap="#db/da2/group__config-br_gaf9f7e49c190e8e11297d534e223d6274_icgraph" alt=""/></div>
<map name="db/da2/group__config-br_gaf9f7e49c190e8e11297d534e223d6274_icgraph" id="db/da2/group__config-br_gaf9f7e49c190e8e11297d534e223d6274_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="203,5,358,44"/>
<area shape="rect" id="node3" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="184,68,376,107"/>
<area shape="rect" id="node4" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="424,68,619,107"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
